title: Sidebar Layout
label: Sidebar Layout
status: beta

context:
  component-type: layout

variants:
  - name: default
    hidden: true
  - name: start
    context:
      sidebar_position: left
  - name: end
    context:
      sidebar_position: right
  - name: end 400
    context:
      sidebar_position: end
      sidebar_spacing: 400
  - name: end 600
    context:
      sidebar_position: right
      sidebar_spacing: 600
  - name: start 800
    context:
      sidebar_position: start
      sidebar_spacing: 800

  - name: start 400 60
    context:
      sidebar_position: start
      sidebar_spacing: 400
      sidebar__main_content_width: 60%

